Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### randomSeed()
Examples |
    randomSeed(0);
    for(int i=0; i < 100; i++) {
      float r = random(0, 255);
      stroke(r);
      line(i, 0, i, 100);
    }
Description | Sets the seed value for random(). By default, random() produces different results each time the program is run. Set the value parameter to a constant to return the same pseudo-random numbers each time the software is run.
Syntax |
    randomSeed(value);
Parameters |
value | int
Usage | Web & Application
Related | random() noise() noiseSeed()

Updated on October 18, 2007 05:48:24am PDT